I am keeping and older Mac on hand that won’t be updated past High sierra.

Al